Table of Contents

## Name

nip2 - image processing with the VIPS library

## Synopsis

nip2 [filename1 ...] nip2 -script filename [arg1 ...] nip2 -main [arg1 ...] nip2 -workspace [arg1 ...] nip2 -benchmark

## Description

nip2 (for New Image Processing) is a tool for manipulating images using the VIPS image processing library.

nip2 [filename1 ...]
start in GUI mode, optionally loading the named files

nip2 -script filename [arg1 ...]
start in no-GUI mode; read in filename as a set of definitions, set list
argv to ["filename", "arg1", "arg2", ...], set argc to length of list;
print the value of symbol "main" to stdout; exit; useful for running nip2
as an interpreter on unix

nip2 -main [arg1 ...]
as -script, but read the definitions from stdin rather than from a
file; useful for here-is shell scripts

nip2 -workspace [arg1 ...]
as -main, but read a workspace save file instead; run in GUI mode;
print the value of the final row in the save file on exit; handy for
prompting from shell scripts

nip2 -benchmark
load all start objects and quit; useful for bechmarking the compiler

See the `nip Users' Guide' for full documentation.

## Copyright

2004 (c) The National Gallery

Table of Contents

- Name
- Synopsis
- Description
- Copyright